Class | TkcText
In: | tk/lib/tk/canvas.rb
Parent: | TkcItem

### Methods

create

### Constants

CItemTypeName | = | 'text'.freeze

### Public Class methods

create(canvas, *args)

[Source]

    # File tk/lib/tk/canvas.rb, line 735
      def self.create(canvas, *args)
        if args[-1].kind_of?(Hash)
          keys = _symbolkey2str(args.pop)
          txt = keys['text']
          keys['text'] = _get_eval_enc_str(txt) if txt
          args.push(keys)
        end
        super(canvas, *args)
      end

[Validate]